//General Alt Trigger code + physics gun functions

//The Tank's trigger code messes up these weapons, so the Tank must be executed before PhysicsGunPackage. The shell explosion is also used.
%error = ForceRequiredAddOn("Vehicle_Tank");

if(%error == $Error::AddOn_Disabled)
{
 TankVehicle.uiName = "";
 tankShellProjectile.uiName = "";
}
else if(%error == $Error::AddOn_NotFound)
{
 error("Weapon_GravityGun - required Add-On Vehicle_Tank not found");
 return;
}

//Basic package code for physics weapons. The actual movement parts are in the files, this just overwrites the basic jet trigger for the weapons.
AddDamageType("ThrowCar",   '<bitmap:base/client/ui/ci/generic> <bitmap:base/client/ui/ci/car> %1',    '%2 <bitmap:base/client/ui/ci/generic> <bitmap:base/client/ui/ci/car> %1');
package PhysicsGunPackage
{
 function Armor::onTrigger(%this,%player,%slot,%trigger)
 {
  if(%trigger != 1 || %slot != 4 || !%player.getMountedImage(0).isGravGun){Parent::onTrigger(%this,%player,%slot,%trigger);return;}
   call(%player.getMountedImage(0).gravFunc,%this,%player,%slot,%trigger);
 }
 function GameConnection::OnDeath(%client,%obj,%a,%b,%c)
 {
  if(%obj.holder !$= ""){%a = %obj.holder.client;%b = $DamageType::ThrowCar;}
  Parent::onDeath(%client,%obj,%a,%b,%c);
 }
 function fxDTSBrick::onProjectileHit(%this,%obj,%client)
 {
  if(%obj.getDatablock().noProjectileHit)
  {
   return;
  }
  Parent::onProjectileHit(%this,%obj,%client);
 }
};
activatePackage(PhysicsGunPackage);
function Vehicle::gravhold(%a){%a.holder = "";}
function Player::gravhold(%a){%a.holder = "";}

function isMountedTo(%a,%b)
{
 for(%i=0;%i<%b.getDatablock().numMountPoints;%i++)
 {
  if(%b.getMountedObject(%i) $= %a){return 1;}
 }
 return 0;
}



exec("./Weapon_GravGun.cs");